Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
CompoundFileWriter.h File Reference
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::CompoundFileWriter
| Combines multiple files into a single compound file. The file format: VInt fileCount {Directory} fileCount entries with the following structure: int64_t dataOffset String fileName {File Data} fileCount entries with the raw data of the corresponding file. More...
struct | Lucene::CompoundFileWriter::FileEntry

## Namespaces

| Lucene

clucene.sourceforge.net